"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * @Author: 刘邓
 * @Date: 2022-05-09 11:39:26
 * @LastEditors: 刘邓
 * @LastEditTime: 2022-05-09 17:52:41
 * @Description:
 * @FilePath: \src\core\memoryCache.ts
 */
var ics_chromely_js_sdk_1 = require("@icreate/ics-chromely-js-sdk");
var Caching = /** @class */ (function () {
    function Caching() {
    }
    Caching.OperateEx = function (url, data, method) {
        if (method === void 0) { method = 'GET'; }
        // let opts =
        return ics_chromely_js_sdk_1.default.function({
            url: "Caching/Memory/" + url,
            method: method,
            data: data
        });
    };
    // 获取缓存
    Caching.getCache = function (key) {
        return this.OperateEx('Get', { key: key });
    };
    // 设置缓存
    Caching.setCache = function (key, value) {
        return this.OperateEx('Set', { key: key, value: value }, 'POST');
    };
    //删除缓存
    Caching.removeCache = function (key) {
        return this.OperateEx('Remove', { key: key });
    };
    return Caching;
}());
exports.default = Caching;
//# sourceMappingURL=memoryCache.js.map