(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory(require('@icreate/ics-chromely-js-sdk')) :
  typeof define === 'function' && define.amd ? define(['@icreate/ics-chromely-js-sdk'], factory) :
  (global.icsChromelyPluginCachingMemoryJsSdk = factory(global.icsChromelyRequest));
}(this, (function (icsChromelyRequest) { 'use strict';

  icsChromelyRequest = icsChromelyRequest && icsChromelyRequest.hasOwnProperty('default') ? icsChromelyRequest['default'] : icsChromelyRequest;

  /*
   * @Author: 刘邓
   * @Date: 2022-05-09 11:39:26
   * @LastEditors: 刘邓
   * @LastEditTime: 2022-05-09 17:52:41
   * @Description:
   * @FilePath: \src\core\memoryCache.ts
   */
  var Caching = /** @class */ (function () {
      function Caching() {
      }
      Caching.OperateEx = function (url, data, method) {
          if (method === void 0) { method = 'GET'; }
          // let opts =
          return icsChromelyRequest.function({
              url: "Caching/Memory/" + url,
              method: method,
              data: data
          });
      };
      // 获取缓存
      Caching.getCache = function (key) {
          return this.OperateEx('Get', { key: key });
      };
      // 设置缓存
      Caching.setCache = function (key, value) {
          return this.OperateEx('Set', { key: key, value: value }, 'POST');
      };
      //删除缓存
      Caching.removeCache = function (key) {
          return this.OperateEx('Remove', { key: key });
      };
      return Caching;
  }());

  /*
   * @Author: 刘邓
   * @Date: 2022-05-09 11:29:41
   * @LastEditors: 刘邓
   * @LastEditTime: 2022-05-09 13:31:10
   * @Description:
   * @FilePath: \src\ics-chromely-plugin-caching-memory-js-sdk.ts
   */

  return Caching;

})));
//# sourceMappingURL=ics-chromely-plugin-caching-memory-js-sdk.umd.js.map
